// @ts-check
import { defineConfig } from 'astro/config';
import remarkGithubAlerts from 'remark-github-alerts';
import rehypeSlug from 'rehype-slug';
import tailwindcss from '@tailwindcss/vite';

export default defineConfig({
  site: 'https://cyperpunk.de',
  vite: {
    plugins: [tailwindcss()]
  },
  markdown: {
    remarkPlugins: [remarkGithubAlerts],
    rehypePlugins: [rehypeSlug],
  },
});
